javax.jnlp

## Interface PrintService

All Known Implementing Classes:
  XPrintService

    public interface PrintService

### Method Summary

Methods
`java.awt.print.PageFormat` `getDefaultPage()`
`boolean` `print(java.awt.print.Pageable document)`
`boolean` `print(java.awt.print.Printable painter)`
`java.awt.print.PageFormat` `showPageFormatDialog(java.awt.print.PageFormat page)`

### Method Detail

#### getDefaultPage

    java.awt.print.PageFormat getDefaultPage()

#### showPageFormatDialog

    java.awt.print.PageFormat showPageFormatDialog(java.awt.print.PageFormat page)

#### print

    boolean print(java.awt.print.Pageable document)

#### print

    boolean print(java.awt.print.Printable painter)